<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title><?php echo $this->quiz->post_title; ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <link media="all" type="text/css" href="//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css" rel="stylesheet">
    <link href='http://fonts.googleapis.com/css?family=Lato:300,400,700,300italic,400italic,700italic|Oregano' rel='stylesheet' type='text/css'>
    <link media="all" type="text/css" href="<?php echo IPQUIZ_BASE_URL; ?>css/style.css" rel="stylesheet">
    <link media="all" type="text/css" href="<?php echo IPQUIZ_BASE_URL; ?>css/fb-style.css" rel="stylesheet">
    <script type="text/javascript">
        var ajaxurl   = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
        var ipquiz_id = <?php echo $this->quiz->ID; ?>;
        var ipquiz_share_msg = "<?php echo get_option( 'ipquiz_share_message' ); ?>";
        var ipquiz_invite_msg = "<?php echo get_option( 'ipquiz_invite_message' ); ?>";
    </script>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <script type="text/javascript" src="<?php echo IPQUIZ_BASE_URL; ?>js/jcanvas.min.js"></script>
    <script type="text/javascript" src="<?php echo IPQUIZ_BASE_URL; ?>js/jquery.json-2.4.min.js"></script>
    <script type="text/javascript" src="<?php echo IPQUIZ_BASE_URL; ?>js/fb-script.js"></script>
</head>
<body>
    <div id="fb-root"></div>
    <script>
        window.fbAsyncInit = function() {
            FB.init({ 
                appId: <?php echo $this->appId; ?>,
                status: true, 
                cookie: true,
                xfbml: true,
                oauth: true
            });
            
            FB.getLoginStatus(function(response) {
                if (response.status === 'connected') {
                    FB.api('/me', function(response) 
                    {
                        var quiz   = $( '.ipquiz-item' );
                        var quizId = quiz.attr( 'id' ).replace( 'ipquiz-item-', '' );
                        var fbid   = response.id;
                        $( '.ipquiz-content', quiz )
                            .css( 'width', '100%' )
                            .css( 'height', '400px' );
                        
                        $( '.ipquiz-loader', quiz ).show();
                        var fbdata = 'quiz='+quizId+'&fbid='+fbid+'&fbdata=' + $.toJSON( response );
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipquiz=1&action=ipquiz_fbget',
                            type: "POST",
                            data: fbdata,
                            dataType: "json",
                            success: function (result) {
                                if ( result.status == '1' ) {
                                
                                    $( '.ipquiz-content', quiz )
                                        .css( 'width', 'auto' )
                                        .css( 'height', 'auto' );
                                        
                                    $( '.ipquiz-content', quiz ).html( result.content );
                                    quiz.ipquiz_init();
                                    $( '.ipquiz-st-118-2', quiz ).val( result.parc );
                                    $( '.ipquiz-current-step', quiz ).val( result.step );
                                
                                    //Button share
                                    if ( $( '.ipquiz-btn-share', quiz ).length > 0 ) {
                                        $( '.ipquiz-btn-share', quiz ).ipquiz_btn_share();
                                    }
                                    //Button invite
                                    if ( $( '.ipquiz-btn-invite', quiz ).length > 0 ) {
                                        $( '.ipquiz-btn-invite', quiz ).ipquiz_btn_invite();
                                    }
                                    //Button top score
                                    if ( $( '.ipquiz-btn-topscore', quiz ).length > 0 ) {
                                        $( '.ipquiz-btn-topscore', quiz ).ipquiz_btn_topscore();
                                    }
                                    quiz.ipquiz_finish_redirect();
                                }
                                $( '.ipquiz-loader', quiz ).hide();
                            }
                        });
                    });
                }
            });
        };
        (function() {
            var e = document.createElement("script"); e.async = true;
            e.src = document.location.protocol 
                    + "//connect.facebook.net/en_US/all.js";
            document.getElementById("fb-root").appendChild(e);
        }());
    </script>
    
    <div class="ipfb-root">
        <div class="ipfb-wrapper">
            <div id="ipfb-main">
                <?php echo $this->content; ?>
            </div>
        </div>
    </div>
    
    <script src="<?php echo plugin_dir_url( __FILE__ ) ?>js/script.js" type="text/javascript">
</body>
</html>